sample-with-amq-consumer/sample-with-amq-consumer.yaml [16:61]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  MetricWidgetBucket:
    Type: String
    Default: ''
    Description: The bucket to store load test performance graphs.

  AmazonMQBrokerUserNameRef:
    Type: String
    Default: ''
    Description: The user name for the broker used to notify the producers

  AmazonMQBrokerPasswordRef:
    Type: String
    Default: ''
    Description: The password for the broker used to notify the producers

  AmazonMQBrokerURLRef:
    Type: String
    Default: ''
    Description: The url for the broker used to notify the producers

Resources:
  ECSTaskExecutionRole:
    Type: AWS::IAM::Role
    Properties:
      AssumeRolePolicyDocument:
        Statement:
        - Effect: Allow
          Principal:
            Service: [ecs-tasks.amazonaws.com]
          Action: ['sts:AssumeRole']
      Path: /
      ManagedPolicyArns:
        - arn:aws:iam::aws:policy/service-role/AmazonECSTaskExecutionRolePolicy

  JMSBridgeSecurityGroup:
    Type: AWS::EC2::SecurityGroup
    Properties:
      GroupDescription: Limits security group ingress and egress traffic for the JMS bridge instance
      VpcId: {'Fn::ImportValue': !Sub '${Stage}:JMS-BRIDGE:VPC'}
      Tags:
      - Key: Name
        Value: !Sub '${AWS::StackName}:JMSBridgeSecurityGroup'

  JMSBridgeECSCluster:
    Type: AWS::ECS::Cluster
    Properties:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



sample-with-amq-producer/sample-with-amq-producer.yaml [16:61]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  MetricWidgetBucket:
    Type: String
    Default: ''
    Description: The bucket to store load test performance graphs.

  AmazonMQBrokerUserNameRef:
    Type: String
    Default: ''
    Description: The user name for the broker used to notify the producers

  AmazonMQBrokerPasswordRef:
    Type: String
    Default: ''
    Description: The password for the broker used to notify the producers

  AmazonMQBrokerURLRef:
    Type: String
    Default: ''
    Description: The url for the broker used to notify the producers

Resources:
  ECSTaskExecutionRole:
    Type: AWS::IAM::Role
    Properties:
      AssumeRolePolicyDocument:
        Statement:
        - Effect: Allow
          Principal:
            Service: [ecs-tasks.amazonaws.com]
          Action: ['sts:AssumeRole']
      Path: /
      ManagedPolicyArns:
        - arn:aws:iam::aws:policy/service-role/AmazonECSTaskExecutionRolePolicy

  JMSBridgeSecurityGroup:
    Type: AWS::EC2::SecurityGroup
    Properties:
      GroupDescription: Limits security group ingress and egress traffic for the JMS bridge instance
      VpcId: {'Fn::ImportValue': !Sub '${Stage}:JMS-BRIDGE:VPC'}
      Tags:
      - Key: Name
        Value: !Sub '${AWS::StackName}:JMSBridgeSecurityGroup'

  JMSBridgeECSCluster:
    Type: AWS::ECS::Cluster
    Properties:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



